Package com.smartgwt.client.widgets.ace

# Class AceCompleter

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.widgets.ace.AceCompleter

All Implemented Interfaces:
  `HasHandlers`

public class AceCompleter extends BaseClass
Internal use only.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AceCompleter()`
  `AceCompleter(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `void`
  `getCompletions(AceEditor editor, AceEditSession session, AcePosition pos, String prefix, AceCompleterCompletionsCallback callback)`
  Internal use only.
  `JavaScriptObject`
  `getJsObj()`
  `JavaScriptObject`
  `getOrCreateJsObj()`
  `static AceCompleter`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getUseCustomInsertMatch()`
  Internal use only.
  `void`
  `insertMatch(AceEditor editor, String filterText, AceCompletionResult data)`
  Internal use only.
  `boolean`
  `isCreated()`
  `void`
  `onInit()`
  `protected void`
  `onInit_AceCompleter()`
  `void`
  `setJavaScriptObject(JavaScriptObject jsObj)`
  `AceCompleter`
  `setUseCustomInsertMatch(Boolean useCustomInsertMatch)`
  Internal use only.

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AceCompleter

    public AceCompleter()

  - ### AceCompleter

    public AceCompleter(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AceCompleter getOrCreateRef(JavaScriptObject jsObj)

  - ### setJavaScriptObject

    public void setJavaScriptObject(JavaScriptObject jsObj)
    Overrides:
      `setJavaScriptObject` in class `BaseClass`

  - ### create

    public JavaScriptObject create()
    Specified by:
      `create` in class `BaseClass`

  - ### isCreated

    public boolean isCreated()
    Overrides:
      `isCreated` in class `BaseClass`

  - ### getJsObj

    public JavaScriptObject getJsObj()
    Overrides:
      `getJsObj` in class `BaseClass`

  - ### getOrCreateJsObj

    public JavaScriptObject getOrCreateJsObj()
    Overrides:
      `getOrCreateJsObj` in class `BaseClass`

  - ### setUseCustomInsertMatch

    public AceCompleter setUseCustomInsertMatch(Boolean useCustomInsertMatch) throws IllegalStateException
    Internal use only.
    Throws:
      `IllegalStateException`

  - ### getUseCustomInsertMatch

    public Boolean getUseCustomInsertMatch()
    Internal use only.

  - ### onInit

    public void onInit()
    Overrides:
      `onInit` in class `BaseClass`

  - ### onInit_AceCompleter

    protected void onInit_AceCompleter()

  - ### getCompletions

    public void getCompletions(AceEditor editor, AceEditSession session, AcePosition pos, String prefix, AceCompleterCompletionsCallback callback)
    Internal use only.

  - ### insertMatch

    public void insertMatch(AceEditor editor, String filterText, AceCompletionResult data)
    Internal use only.